Summary: A GUI front end to gnuplot
Name: cueplot
Version: 0.0.1
Release: 1
URL: http://www.sourceforge.jp/projects/cueplot/
Source: %{name}-%{version}-src.tar.gz
License: GPL
Group: Applications/Graphics
Packager: Muneyuki Noguchi <nogu@users.sourceforge.jp>
buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: qt4
Requires: gnuplot >= 4

%description
Cueplot is a GUI front end to gnuplot.

%prep
%setup -q -n %{name}-%{version}-src
%build
qmake-qt4
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_libdir}/%{name}
install -m 755 %{name} %{buildroot}/%{_libdir}/%{name}/
lrelease-qt4 %{name}.pro
install -m 644 *.qm %{buildroot}/%{_libdir}/%{name}/
mkdir %{buildroot}/%{_bindir}/
ln -s %{_libdir}/%{name}/%{name} %{buildroot}/%{_bindir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/%{name}/

%changelog
* Fri Jul 20 2007 Muneyuki Noguchi <nogu@users.sourceforge.jp>
- Initial RPM build.
